Product Option Type

Fetch list of production option type and specific option type.

List

Returns a collection of production option type.

Fetching production option type list

Request

GET /product-option-types HTTP/1.1

Response

{
	"data": [
		{
			"id": 1,
			"handle": "size",
			"name": {
				"de": "voluptatem ut corporis",
				"en": "est"
			},
			"created_at": "2023-01-10T10:11:10+00:00",
			"updated_at": "2023-01-10T10:11:10+00:00"
		},
		{
			"id": 2,
			"handle": "color",
			"name": {
				"de": "ut",
				"en": "consequuntur"
			},
			"created_at": "2023-01-10T10:11:10+00:00",
			"updated_at": "2023-01-10T10:11:10+00:00"
		}
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": null
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/product-option-types",
		"per_page": 15,
		"next_cursor": null,
		"prev_cursor": null
	}
}

Get

Returns the production option type with the id = x.

Fetching indevidual production option type

Request

GET /product-option-types/1 HTTP/1.1

Response

{
	"id": 1,
	"handle": "size",
	"name": {
		"de": "voluptatem ut corporis",
		"en": "est"
	},
	"created_at": "2023-01-10T10:11:10+00:00",
	"updated_at": "2023-01-10T10:11:10+00:00"
}